Order Confirm
curl --request PUT \
--url https://scx-sbx.api.jtl-software.com/v1/seller/order/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderList": [
{
"channel": "MYBESTDEALCOMDE",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"orderAccepted": false
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/order/accept"
payload = { "orderList": [
{
"channel": "MYBESTDEALCOMDE",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"orderAccepted": False
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderList: [
{
channel: 'MYBESTDEALCOMDE',
sellerId: '4711',
orderId: '43523-43432-43532',
orderAccepted: false
}
]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/order/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Order
Order Confirm
Accept Order with Stauts UNACKED.
PUT
/
v1
/
seller
/
order
/
accept
Order Confirm
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/json
Seller acceptance of a marketplace order, confirming that it will be fulfilled.
Batch of seller order confirmations — acknowledges that the listed orders will be fulfilled.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Created
Was this page helpful?
⌘I